dotfiles/.config/yadm/bootstrap##template

46 lines
1.3 KiB
Plaintext
Raw Normal View History

2024-10-18 01:46:03 -05:00
#!/bin/bash
2024-10-31 15:36:55 -05:00
# WARNING: Do not edit this file.
# It was generated by processing {{ yadm.source }}
2024-10-18 01:46:03 -05:00
# Save this file as ~/.config/yadm/bootstrap and make it executable. It will
# execute all executable files (excluding templates and editor backups) in the
# ~/.config/yadm/bootstrap.d directory when run.
set -eu
# Directory to look for bootstrap executables in
BOOTSTRAP_D="${BASH_SOURCE[0]}.d"
if [[ ! -d "$BOOTSTRAP_D" ]]; then
echo "Error: bootstrap directory '$BOOTSTRAP_D' not found" >&2
exit 1
fi
2024-10-31 15:36:55 -05:00
# This will execute all executable files (excluding templates and editor
2024-10-31 15:37:49 -05:00
# backups) in the $BOOTSTRAP_D directory when run.
2024-10-31 15:36:55 -05:00
2024-10-18 01:46:03 -05:00
find -L "$BOOTSTRAP_D" -type f | sort | while IFS= read -r bootstrap; do
if [[ -x "$bootstrap" && ! "$bootstrap" =~ "##" && ! "$bootstrap" =~ "~$" ]]; then
if ! "$bootstrap"; then
echo "Error: bootstrap '$bootstrap' failed" >&2
exit 1
fi
fi
done
2024-10-30 17:04:25 -05:00
hash -r
2024-10-31 15:36:55 -05:00
{% if yadm.class == "Work" %}
2024-10-30 17:04:25 -05:00
YARN=$(brew --prefix yarn)/bin/yarn
if (command -v "$YARN" >/dev/null 2>&1); then
# Install yalc. Needed for local-publish
echo "Installing yalc..."
if ! $YARN global add yalc; then
echo "Failed to install yalc" >&2
else
echo "Successfully installed yalc"
fi
2024-10-31 15:36:55 -05:00
fi
{% endif %}